type: object
properties:
  username:
    type: string
  email:
    type: string
  connectionStatus:
    $ref: ./ConnectionStatus.yaml
  mtlsStatus:
    $ref: ./MTLSStatus.yaml
  userIdentityAttributes:
    type: array
    items:
      type: string
  id:
    type: string
    format: uuid
  participantType:
    type: string
  organization:
    type: string
  creationTimestamp:
    type: string
    format: date-time
  updateTimestamp:
    type: string
    format: date-time
  credentialId:
    type: string
  expiryDate:
    type: string
    format: date-time
  identityAttributes:
    type: array
    items:
      $ref: ./IdentityAttribute.yaml
required:
- organization
- participantType
